Bullet Collision Detection & Physics Library: btReducedVector Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btReducedVector Class Reference

`#include <btReducedVector.h>`

Collaboration diagram for btReducedVector:
[legend]

## Public Member Functions
| btReducedVector ()
| btReducedVector (int sz)
| btReducedVector (int sz, const btAlignedObjectArray< int > &indices, const btAlignedObjectArray< btVector3 > &vecs)
void | simplify ()
btReducedVector | operator+ (const btReducedVector &other)
btReducedVector | operator- ()
btReducedVector | operator- (const btReducedVector &other)
bool | operator== (const btReducedVector &other) const
bool | operator!= (const btReducedVector &other) const
btReducedVector & | operator= (const btReducedVector &other)
btScalar | dot (const btReducedVector &other) const
btScalar | dot (const btAlignedObjectArray< btVector3 > &other) const
btScalar | length2 () const
void | normalize ()
btReducedVector | proj (const btReducedVector &other) const
bool | testAdd () const
bool | testMinus () const
bool | testDot () const
bool | testMultiply () const
void | test () const
void | print () const
void | sort ()

## Public Attributes
btAlignedObjectArray< int > | m_indices
btAlignedObjectArray< btVector3 > | m_vecs
int | m_sz

## Detailed Description

Definition at line 26 of file btReducedVector.h.

## Constructor & Destructor Documentation

## ◆ btReducedVector() [1/3]

btReducedVector::btReducedVector | ( |  | ) |
| inline

Definition at line 33 of file btReducedVector.h.

## ◆ btReducedVector() [2/3]

btReducedVector::btReducedVector | ( | int | sz | ) |
| inline

Definition at line 41 of file btReducedVector.h.

## ◆ btReducedVector() [3/3]

btReducedVector::btReducedVector | ( | int | sz,
|  | const btAlignedObjectArray< int > & | indices,
|  | const btAlignedObjectArray< btVector3 > & | vecs )
| inline

Definition at line 49 of file btReducedVector.h.

## Member Function Documentation

## ◆ dot() [1/2]

btScalar btReducedVector::dot | ( | const btAlignedObjectArray< btVector3 > & | other | ) | const
| inline

Definition at line 217 of file btReducedVector.h.

## ◆ dot() [2/2]

btScalar btReducedVector::dot | ( | const btReducedVector & | other | ) | const
| inline

Definition at line 198 of file btReducedVector.h.

## ◆ length2()

btScalar btReducedVector::length2 | ( |  | ) | const
| inline

Definition at line 227 of file btReducedVector.h.

## ◆ normalize()

void btReducedVector::normalize | ( |  | ) |

Definition at line 23 of file btReducedVector.cpp.

## ◆ operator!=()

bool btReducedVector::operator!= | ( | const btReducedVector & | other | ) | const
| inline

Definition at line 181 of file btReducedVector.h.

## ◆ operator+()

btReducedVector btReducedVector::operator+ | ( | const btReducedVector & | other | ) |
| inline

Definition at line 71 of file btReducedVector.h.

## ◆ operator-() [1/2]

btReducedVector btReducedVector::operator- | ( |  | ) |
| inline

Definition at line 112 of file btReducedVector.h.

## ◆ operator-() [2/2]

btReducedVector btReducedVector::operator- | ( | const btReducedVector & | other | ) |
| inline

Definition at line 124 of file btReducedVector.h.

## ◆ operator=()

btReducedVector & btReducedVector::operator= | ( | const btReducedVector & | other | ) |
| inline

Definition at line 186 of file btReducedVector.h.

## ◆ operator==()

bool btReducedVector::operator== | ( | const btReducedVector & | other | ) | const
| inline

Definition at line 165 of file btReducedVector.h.

## ◆ print()

void btReducedVector::print | ( |  | ) | const
| inline

Definition at line 247 of file btReducedVector.h.

## ◆ proj()

btReducedVector btReducedVector::proj | ( | const btReducedVector & | other | ) | const

Definition at line 12 of file btReducedVector.cpp.

## ◆ simplify()

void btReducedVector::simplify | ( |  | ) |
| inline

Definition at line 53 of file btReducedVector.h.

## ◆ sort()

void btReducedVector::sort | ( |  | ) |
| inline

Definition at line 257 of file btReducedVector.h.

## ◆ test()

void btReducedVector::test | ( |  | ) | const

Definition at line 159 of file btReducedVector.cpp.

## ◆ testAdd()

bool btReducedVector::testAdd | ( |  | ) | const

Definition at line 34 of file btReducedVector.cpp.

## ◆ testDot()

bool btReducedVector::testDot | ( |  | ) | const

Definition at line 106 of file btReducedVector.cpp.

## ◆ testMinus()

bool btReducedVector::testMinus | ( |  | ) | const

Definition at line 70 of file btReducedVector.cpp.

## ◆ testMultiply()

bool btReducedVector::testMultiply | ( |  | ) | const

Definition at line 135 of file btReducedVector.cpp.

## Member Data Documentation

## ◆ m_indices

btAlignedObjectArray<int> btReducedVector::m_indices

Definition at line 29 of file btReducedVector.h.

## ◆ m_sz

int btReducedVector::m_sz

Definition at line 31 of file btReducedVector.h.

## ◆ m_vecs

btAlignedObjectArray<btVector3> btReducedVector::m_vecs

Definition at line 30 of file btReducedVector.h.

The documentation for this class was generated from the following files:

- btReducedVector.h
- btReducedVector.cpp